com.atid.lib.module.barcode.ssi.type

## Enum CodeLengthType

- java.lang.Object
- - java.lang.Enum<CodeLengthType>
  - - com.atid.lib.module.barcode.ssi.type.CodeLengthType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<CodeLengthType>

      public enum CodeLengthType
      extends java.lang.Enum<CodeLengthType>
      implements IEnumType

  The length of a code refers to the number of characters (i.e., human readable characters), including check digit(s) the code contains. Set lengths for Barcode Symbol to any length, one or two discrete lengths, or lengths within a specific range.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AnyLength` Select this option to decode barcode symbols containing any number of characters within the decoder’s capability.
    `OneLength` Select this option to decode barcode symbols containing a selected length.
    `Range` Select this option to decode a barcode symbol with a specific length range.
    `TwoLength` Select this option to decode barcode symbols containing either of two selected lengths.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static CodeLengthType` | `valueOf(int code)`
    `static CodeLengthType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CodeLengthType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AnyLength

          public static final CodeLengthType AnyLength

      Select this option to decode barcode symbols containing any number of characters within the decoder’s capability.

    - #### OneLength

          public static final CodeLengthType OneLength

      Select this option to decode barcode symbols containing a selected length. For example, to decode barcode symbols with 14 characters, Select the One Discrete Length, then input 1 followed by 4.

    - #### TwoLength

          public static final CodeLengthType TwoLength

      Select this option to decode barcode symbols containing either of two selected lengths. For example, to decode barcode symbols containing either 2 or 14 characters, Select the Two Discrete Lengths, then input 0, 2, 1, and then 4.

    - #### Range

          public static final CodeLengthType Range

      Select this option to decode a barcode symbol with a specific length range. For example, to decode barcode symbols containing between 4 and 12 characters, Select the Length Within Range. Then input 0, 4, 1, and 2 (enter a leading zero for single digit numbers).

  - ### Method Detail

    - #### values

          public static CodeLengthType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodeLengthType c : CodeLengthType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodeLengthType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<CodeLengthType>`

    - #### valueOf

          public static CodeLengthType valueOf(int code)